form:
  tabs:
    - name: tabProductList
      fields:
        - name: listMode
          fieldType: switchable
          options:
            - name: products
              value: products
            - name: vendorsAndCategories
              value: vendorsAndCategories
              selected: true
          fields:
            - name: vendorsAndCategories
              label: ' '
              fieldType: composite
              layout: vertical
              fields:
                - name: vendors
                  required: true
                  fieldType: text
                  description: fields.vendors.description
                - name: productCategories
                  fieldType: multiValue
                  required: true
                  field:
                    name: productCategory
                    fieldType: link
                    targetWorkspace: bechtleProductCategories
                    appName: bechtle-product-categories
                    identifierToPathConverter:
                      class: de.neofonie.bechtle.fields.converter.HybrisIdToPathConverter
                - name: offset
                  fieldType: text
                  required: true
                  defaultValue: 0
                  validators:
                    !include:/bechtle-ui/common/dialogs/validators/numberValidatorWithZero.yaml
                - name: resultCount
                  fieldType: text
                  required: true
                  defaultValue: 10
                  validators:
                    !include:/bechtle-ui/common/dialogs/validators/numberValidatorWithZero.yaml
            - name: products
              label: ' '
              fieldType: multiValue
              required: true
              field:
                name: productId
                fieldType: text
    - name: tabStyle
      fields:
      - name: view
        fieldType: select
        sortOptions: false
        options:
          - name: list
            selected: true
          - name: grid
      - name: sortOrder
        fieldType: select
        sortOptions: false
        options:
          - name: popularity
            value: pop
            selected: true
          - name: article
            value: art
          - name: priceAsc
            value: p_asc
          - name: priceDesc
            value: p_desc
      - name: grouping
        fieldType: checkbox
      - name: hideBackendInfo
        fieldType: checkbox
    - name: tabVisibility
      fields:
        - !include:/bechtle-ui/common/dialogs/visibility.yaml

actions: !include:/bechtle-ui/common/dialogs/actions/default.yaml